This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198270 - CVE-2006-3404 gimp xcf buffer overflow
CVE-2006-3404 gimp xcf buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
source=debian,reported=20060706,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 15:23 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 08:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gimp-2.2.12-gcc4.patch (42.55 KB, patch)
2006-07-10 19:50 EDT, jens.koerber
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-07-10 15:23:10 EDT
+++ This bug was initially created as a clone of Bug #198269 +++

gimp xcf buffer overflow

Henning Makholm discovered a buffer overflow bug in gimp's XCF loader.
It is possible to overflow a static buffer with arbitrary data, which
could likely result in arbitrary code execution.

The upstream bug contains the patch:
http://bugzilla.gnome.org/show_bug.cgi?id=346742
Comment 1 Josh Bressers 2006-07-10 15:27:22 EDT
This issue should also affect FC4
Comment 2 jens.koerber 2006-07-10 19:50:57 EDT
Created attachment 132207 [details]
gimp-2.2.12-gcc4.patch

updated gcc4 patch ...
Comment 3 Nils Philippsen 2006-07-11 08:28:15 EDT
gimp-2.2.12 has already been built for FC4, FC5 and Rawhide and waits for
pushing. Jens, thanks for the updated patch but with 2.2.12 it is no longer
necessary as upstream just uses -mmmx, -msse and so on to build these asm source
files.

Note You need to log in before you can comment on or make changes to this bug.